import type { PajamasIcon } from "@/types/icons.ts"
import { GIT_URL } from "astro:env/client"
import * as m from "@/paraglide/messages"

export interface MyLink {
  title: string
  url: string
  message?: string
  icon?: {
    src: PajamasIcon
    alt: string
  }
}

export default [
  {
    title: "Archidekt",
    url: "https://archidekt.com/u/Emberal",
    message: m.archidektMessage(),
  },
  {
    title: "Bluesky",
    url: "https://bsky.app/profile/martials.no",
  },
  {
    title: "Codeberg",
    url: "https://codeberg.org/martials",
    message: m.forMirrors(),
    icon: {
      src: "pajamas:git",
      alt: "Git icon",
    },
  },
  {
    title: "Gitea",
    url: `${GIT_URL}/martials`,
    message: m.forPersonalProjects(),
    icon: {
      src: "pajamas:gitea",
      alt: "Gitea icon",
    },
  },
  {
    title: "GitHub",
    url: "https://github.com/emberal",
    icon: {
      src: "pajamas:github",
      alt: "GitHub icon",
    },
  },
  {
    title: "LinkedIn",
    url: "https://www.linkedin.com/in/martin-b-2a69391a3/",
    icon: {
      src: "pajamas:linkedin",
      alt: "LinkedIn icon",
    },
  },
  {
    title: "Mastodon (Snabelen.no)",
    url: "https://snabelen.no/@Martials",
    icon: {
      src: "pajamas:mastodon",
      alt: "Mastodon icon",
    },
  },
  {
    title: "ListenBrainz",
    url: "https://listenbrainz.org/user/emberal/",
  },
  {
    title: "Pixelfed",
    url: "https://pixelfed.social/i/web/profile/261454857934868480",
  },
  {
    title: "Steam",
    url: "https://steamcommunity.com/id/martials/",
  },
  {
    title: "Trakt.tv",
    url: "https://trakt.tv/users/martials",
  },
] satisfies MyLink[]
